# Kemoverse - a gacha-style bot for the Fediverse.
# Copyright © 2025 VD15 and contributors.

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see https://www.gnu.org/licenses/.

from typing import TypedDict, List, Dict, Any

BotResponse = TypedDict('BotResponse', {
    'message': str,
    'attachment_urls': List[str] | None
})

Card = TypedDict('Card', {
    'id': int,
    'name': str,
    'rarity': int,
    'weight': float,
    'image_url': str
})

ParsedNotification = TypedDict('ParsedNotification', {
    'author': str,
    'command': str | None,
    'arguments': List[str],
    'note_obj': Dict[str, Any]
})
