<!--
Kemoverse - a gacha-style bot for the Fediverse.
Copyright © 2025 Waifu and contributors.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see https://www.gnu.org/licenses/. 
-->
Welcome to the **Visual Identity** guide for the Kemoverse. This page contains the standard colors, logos, and graphic elements used across the game (cards, UI, web presence, bots, etc). Please follow these guidelines to ensure consistency.

---

## 🟢 Primary Color Palette

| Color Name      | Hex Code  | Usage                              |
| --------------- | --------- | ---------------------------------- |
| Green           | `#5aa02c` | Main buttons, links, headers       |
| Midnight Black  | `#1A1A1A` | Backgrounds, dark mode             |
| Misty White     | `#FAFAFA` | Default backgrounds, light text bg |
| Soft Gray       | `#CCCCCC` | Borders, placeholders, separators  |
| Highlight Green | `#8dd35f` | Alerts, emphasis, icons            |
| Rarity Gold     | `#FFD700` | Special rare cards, SSR outlines   |
| Rarity Silver   | `#C0C0C0` | Rare card text, stat glow effects  |

> ✅ Use `Green` and `Misty White` for the standard UI. Avoid mixing in extra palettes unless explicitly needed.

---

## 🖼 Logos

### Main Logo

<p align="center">
  <img src="./images/logo/logo.png" width="300" height="auto">
</p>

- Usage: Favicon, watermark

### Mascot Logo

<p align="center">
  <img src="./images/logo/logoLibbie.png" width="300" height="auto">
</p>

- Usage: Bot profile picture


---

## Cards

### Standard card template

Here is a template card for the main game to use.
<p align="center">
  <img src="./images/cards/example.png" width="300" height="auto">
  <img src="./images/cards/card_back.png" width="300" height="auto">
</p>

---
## Other logo versions

### No text

<p align="center">
<img src="./images/logo/logo no text.png" width="300" height="auto">
</p>

### Monochrome

<p align="center">
  <img src="./images/logo/logo darkKemoverse.png" width="300" height="auto">
  <img src="./images/logo/logo lightKemoverse.png" width="300" height="auto">
  <img src="./images/logo/logo black monochrome.png" width="300" height="auto">
  <img src="./images/logo/logo green monochrome.png" width="300" height="auto">
  <img src="./images/logo/logo light green monochrome 2.png" width="300" height="auto">
  <img src="./images/logo/logo light green monochrome.png" width="300" height="auto">
  <img src="./images/logo/logo white monochrome.png" width="300" height="auto">  
</p>

## Extras

<p align="center">
  <img src="./images/cards/bg.png" width="300" height="auto">
  <img src="./images/cards/special_card.png" width="300" height="auto">
</p>

The svg can be found in the images folder of the documentation.

All of the pieces of media in this repository, including images, video or audio are licensed under Creative Commons Attribution-ShareAlike 4.0 International unless stated otherwise © 2025 by Waifu and contributors <a href="https://creativecommons.org/licenses/by-sa/4.0/">CC BY-SA 4.0</a><img src="https://mirrors.creativecommons.org/presskit/icons/cc.svg" alt="" style="max-width: 1em;max-height:1em;margin-left: .2em;"><img src="https://mirrors.creativecommons.org/presskit/icons/by.svg" alt="" style="max-width: 1em;max-height:1em;margin-left: .2em;"><img src="https://mirrors.creativecommons.org/presskit/icons/sa.svg" alt="" style="max-width: 1em;max-height:1em;margin-left: .2em;">